
/*  
 * This source file is a part of a Kaspersky Antivirus Monitor.
 * Copyright (C) Kaspersky Lab, 1997-2010
 * See License.txt for details
 *
 */

#ifndef KAVMON_INTERCEPTOR_H
#define KAVMON_INTERCEPTOR_H

int Monitor_intercept_init (void);
int Monitor_intercept_finit (void);
int Monitor_intercept_calls(void);
int Monitor_restore_calls(void);
int Process_trusted(struct task_struct * tsk);
void Update_Include_Dirs(void);

int interceptor_get_path(char const *mntfile);
int interceptor_put_path(char const *mntfile);

#endif
