Лицензионное соглашение ЗАО 'Лаборатория Касперского' определяющее условия использования программного обеспечения (ПО) с конечным пользователем.
 
ВНИМАНИЕ! Внимательно ознакомьтесь с условиями Лицензионного соглашения перед началом работы с программным обеспечением.
Нажатие Вами кнопки подтверждения согласия в окне с текстом Лицензионного соглашения при установке ПО или ввод соответствующего символа(-ов) означает Ваше безоговорочное согласие с условиями настоящего Лицензионного соглашения. Если Вы не согласны с условиями настоящего Лицензионного соглашения, Вы должны прервать установку ПО.
В случае наличия лицензионного договора или подобного документа, условия использования ПО, изложенные в таком договоре,  являются превалирующими над условиями настоящего Лицензионного соглашения с конечным пользователем.


1. Определения

1.1	ПО – обозначает программное обеспечение, сопроводительные материалы, обновления, описанные в Руководстве Пользователя, Правообладателем которых является ЗАО 'Лаборатория Касперского'.
1.2	Правообладатель (обладатель исключительного права на ПО) - ЗАО 'Лаборатория Касперского'.
1.3	Компьютер – оборудование, для работы на котором предназначено ПО, на которое устанавливается ПО и/или на котором используется ПО.
1.4	Пользователь (Вы) – физическое лицо, которое устанавливает или использует ПО от своего лица или правомерно владеет копией ПО. Если ПО было загружено или приобретено от имени юридического лица, то под термином Пользователь (Вы) далее подразумевается юридическое лицо, для которого ПО было загружено или приобретено и которое поручило отдельному физическому лицу принять данное соглашение от своего лица.
1.5	Партнеры – организации, осуществляющие распространение ПО на основании договора с Правообладателем.
1.6	Обновление(-я) – все улучшения, исправления, расширения и/или модификации ПО.
1.7	Руководство Пользователя – сопроводительные печатные и иные материалы, Руководство Пользователя, Руководство Администратора, справочник, файл справки и аналогичные им печатные и электронные документы, Правообладателем которых является ЗАО 'Лаборатория Касперского'.

2. Предоставление лицензии
		
2.1	Вам предоставляется неисключительная лицензия на использование ПО для защиты компьютера от угроз, описанных в Руководстве Пользователя, при условии соблюдения Вами всех технических требований, описанных в Руководстве Пользователя, а также всех ограничений и условий использования ПО, указанных в настоящем Лицензионном соглашении.

В случае если Вы получили, загрузили и/или установили ПО, предназначенное для ознакомительных целей, Вы имеете право использовать ПО только в целях ознакомления и только в течение одного ознакомительного периода, если не прописано иначе, начиная с даты начальной установки ПО. Любое использование ПО для других целей или по завершении ознакомительного периода запрещено.

Если Вы используете ПО разных версий ПО или версии ПО для разных языков, если Вы получили ПО на нескольких носителях, если Вы иным способом получили несколько копий ПО или получили ПО в составе пакета другого программного обеспечения, то общее количество Ваших компьютеров, на которых установлены и/или используются все версии ПО, должно соответствовать количеству компьютеров, в полученных Вами лицензиях в том случае, если условия лицензий не утверждают иное; каждая приобретенная лицензия дает Вам право установить и использовать ПО на таком количестве компьютеров, которое указано в п.2.2 и п.2.3.
2.2	В случае приобретения ПО на материальном носителе Вы имеете право использовать ПО для защиты такого количества компьютеров, которое указано на упаковке.  
2.3	В случае приобретения ПО через интернет Вы имеете право использовать ПО для   защиты такого количества компьютеров, которое указано при приобретении ПО.  
2.4	Вы имеете право изготовить копию ПО при условии, что эта копия предназначена только для архивных целей и для замены правомерно приобретенного экземпляра в случаях, когда оригинал утерян, уничтожен или стал непригоден для использования. Такая копия не может быть использована для иных целей и должна быть уничтожена в случае, если владение экземпляром ПО перестанет быть правомерным. 
2.5	После активации ПО или выполнения процедуры установки файла ключа (за исключением ПО, предназначенного для ознакомительных целей) Вам предоставляется возможность  в течение срока, указанного на упаковке (в случае приобретения ПО на материальном носителе) или указанного Вами при оформлении покупки (в случае приобретения ПО через интернет), получать от Правообладателя или его Партнеров:
- новые версии ПО по мере их выхода (через интернет);
- техническую поддержку (по телефону и/или через интернет).

3. Активация и сроки

3.1	Если Вы модифицируете свой компьютер или вносите изменения в программное обеспечение других правообладателей, установленное на компьютере, то может потребоваться повторная активация ПО или повторная процедура установки файла ключа. Правообладатель оставляет за собой право использовать средства для проверки  наличия у Вас лицензионной копии ПО. 
3.2	В случае приобретения ПО на материальном носителе срок использования ПО указывается на упаковке.
3.3	В случае приобретения ПО через интернет срок использования ПО указывается при приобретении ПО.
3.4	Вы имеете право использовать ПО, предназначенное для ознакомительных целей и распространяемое без выплаты вознаграждения, как указано в п.2.1, в течение 30 (тридцати) дней с момента активации ПО в соответствии с условиями настоящего Лицензионного соглашения. 
3.5	Срок полезного использования ограничивается сроком использования ПО, указанным в п.3.2 и п.3.3; информацию о сроке использования ПО можно проверить с помощью средств, указанных в Руководстве Пользователя.
3.6	В случае приобретения ПО для защиты более чем одного компьютера срок использования ПО начинается с даты активации или установки файла ключа на первом компьютере.
3.7	В случае нарушения Вами какого-либо из условий данного Лицензионного соглашения Правообладатель вправе прервать действие данного Лицензионного соглашения  в любое время без Вашего уведомления и без возмещения стоимости ПО или его части.

4. Техническая  поддержка

4.1	Техническая поддержка, указанная в п. 2.5 настоящего Лицензионного соглашения, предоставляется при условии установки Пользователем последнего обновления ПО (за исключением ПО, предназначенного для ознакомительных целей).
Служба технической поддержки: http://support.kaspersky.com.
4.2. 	Данные Пользователя, указанные в Персональном кабинете/Личном кабинете, могут быть использованы специалистами Службы технической поддержки только при обработке его запроса в указанную Службу.


5. Ограничения

5.1	Вы не вправе декомпилировать, дизассемблировать, модифицировать или выполнять производные работы, основанные на ПО, целиком или частично, за исключением случаев, предусмотренных законодательством.
5.2	Запрещается передавать право на использование ПО третьим лицам.
5.3	Запрещается передавать и предоставлять доступ к коду активации и/или файлу ключа третьим лицам в нарушение положений настоящего Лицензионного соглашения. Код активации и файл ключа являются конфиденциальной информацией.
5.4	Запрещается сдавать ПО в аренду, прокат или во временное пользование.
5.5	Запрещается использовать ПО с целью создания данных или кода, предназначенных для обнаружения, блокирования или лечения угроз, описанных в Руководстве Пользователя.
5.6	В случае нарушения  Вами условий настоящего Лицензионного соглашения, Ваш файл ключа может быть заблокирован.
5.7	При использовании Вами ПО, предназначенного для ознакомительных целей, Вы не имеете права получать техническую поддержку, указанную в п.4 настоящего Лицензионного соглашения, а также передавать имеющийся у Вас экземпляр ПО третьим лицам.
5.8	За нарушение интеллектуальных прав на ПО нарушитель несет гражданскую, административную или уголовную ответственность в соответствии с законодательством. 

6. Ограниченная гарантия и отказ от предоставления гарантий

6.1	Правообладатель гарантирует работу ПО в соответствии с описанием, изложенным в Руководстве Пользователя.
6.2	Вы соглашаетесь с тем, что никакое ПО не свободно от ошибок и Вам рекомендуется регулярно создавать резервные копии своих файлов.
6.3	Правообладатель не гарантирует работоспособность ПО при нарушении условий, описанных в Руководстве Пользователя, а также в случае нарушения Пользователем условий настоящего Лицензионного соглашения.
6.4	Правообладатель не гарантирует Пользователю работоспособность ПО, если Пользователь не осуществляет обновления ПО, указанные в п.2.5 настоящего Лицензионного соглашения.
6.5	Правообладатель не гарантирует Пользователю защиту от угроз, описанных в Руководстве Пользователя, по окончании срока, указанного в п.3.2 и п.3.3 настоящего Лицензионного соглашения.
6.6	ЗА ИСКЛЮЧЕНИЕМ УСТАНАВЛИВАЕМОЙ В НАСТОЯЩЕМ ПУНКТЕ ОГРАНИЧЕННОЙ ГАРАНТИИ, ПРОГРАММНОЕ ОБЕСПЕЧЕНИЕ ПОСТАВЛЯЕТСЯ 'КАК ЕСТЬ'.  ПРАВООБЛАДАТЕЛЬ И ЕГО ПАРТНЕРЫ НЕ ДАЮТ НИКАКИХ ГАРАНТИЙ НА ЕГО ИСПОЛЬЗОВАНИЕ ИЛИ ПРОИЗВОДИТЕЛЬНОСТЬ. ЗА ИСКЛЮЧЕНИЕМ ГАРАНТИЙ, УСЛОВИЙ, ПРЕДСТАВЛЕНИЙ ИЛИ ПОЛОЖЕНИЙ, СТЕПЕНЬ КОТОРЫХ НЕ МОЖЕТ БЫТЬ ИСКЛЮЧЕНА ИЛИ ОГРАНИЧЕНА В СООТВЕТСТВИИ С ПРИМЕНИМЫМ ЗАКОНОДАТЕЛЬСТВОМ, ПРАВООБЛАДАТЕЛЬ И ЕГО ПАРТНЕРЫ НЕ ДАЮТ НИКАКИХ ГАРАНТИЙ, УСЛОВИЙ, ПРЕДСТАВЛЕНИЙ ИЛИ ПОЛОЖЕНИЙ (ВЫРАЖАЕМЫХ В ЯВНОЙ ИЛИ В ПОДРАЗУМЕВАЕМОЙ ФОРМЕ) НА ВСЕ, ВКЛЮЧАЯ БЕЗ ОГРАНИЧЕНИЙ НЕНАРУШЕНИЕ ПРАВ ТРЕТЬИХ ЛИЦ, КОММЕРЧЕСКОЕ КАЧЕСТВО, ИНТЕГРАЦИЮ ИЛИ ПРИГОДНОСТЬ ДЛЯ ОПРЕДЕЛЕННЫХ ЦЕЛЕЙ. ВЫ СОГЛАШАЕТЕСЬ С ТЕМ, ЧТО ВЫ НЕСЕТЕ ОТВЕТСТВЕННОСТЬ ЗА ВЫБОР ПРОГРАММНОГО ОБЕСПЕЧЕНИЯ ДЛЯ ДОСТИЖЕНИЯ НУЖНЫХ РЕЗУЛЬТАТОВ, ЗА УСТАНОВКУ И ИСПОЛЬЗОВАНИЕ ПРОГРАММНОГО ОБЕСПЕЧЕНИЯ, А ТАКЖЕ ЗА РЕЗУЛЬТАТЫ, ПОЛУЧЕННЫЕ С ЕГО ПОМОЩЬЮ.

7. Ограничение ответственности

7.1	В МАКСИМАЛЬНОЙ СТЕПЕНИ, ДОПУСКАЕМОЙ ПРИМЕНИМЫМ ЗАКОНОДАТЕЛЬСТВОМ, ПРАВООБЛАДАТЕЛЬ  И/ИЛИ ЕГО ПАРТНЕРЫ  НЕ НЕСУТ ОТВЕТСТВЕННОСТИ ЗА КАКИЕ-ЛИБО УБЫТКИ И/ИЛИ УЩЕРБ (В ТОМ ЧИСЛЕ УБЫТКИ В СВЯЗИ С НЕДОПОЛУЧЕННОЙ КОММЕРЧЕСКОЙ ПРИБЫЛЬЮ, ПРЕРЫВАНИЕМ ДЕЯТЕЛЬНОСТИ, УТРАТОЙ ИНФОРМАЦИИ ИЛИ ИНОЙ ИМУЩЕСТВЕННЫЙ УЩЕРБ), ВОЗНИКАЮЩИЕ В СВЯЗИ С ИСПОЛЬЗОВАНИЕМ ИЛИ НЕВОЗМОЖНОСТЬЮ ИСПОЛЬЗОВАНИЯ ПРОГРАММНОГО ОБЕСПЕЧЕНИЯ, ДАЖЕ ЕСЛИ ПРАВООБЛАДАТЕЛЬ И/ИЛИ ЕГО ПАРТНЕРЫ БЫЛИ УВЕДОМЛЕНЫ О ВОЗМОЖНОМ ВОЗНИКНОВЕНИИ ТАКИХ УБЫТКОВ И/ИЛИ УЩЕРБА. В ЛЮБОМ СЛУЧАЕ ОТВЕТСТВЕННОСТЬ ПРАВООБЛАДАТЕЛЯ И/ИЛИ ЕГО ПАРТНЕРОВ ПО ЛЮБОМУ ИЗ ПОЛОЖЕНИЙ НАСТОЯЩЕГО ЛИЦЕНЗИОННОГО СОГЛАШЕНИЯ  ОГРАНИЧИВАЕТСЯ СУММОЙ, ФАКТИЧЕСКИ УПЛАЧЕННОЙ ВАМИ ЗА ПРОГРАММНОЕ ОБЕСПЕЧЕНИЕ. НАСТОЯЩИЕ ОГРАНИЧЕНИЯ НЕ МОГУТ БЫТЬ ИСКЛЮЧЕНЫ ИЛИ ОГРАНИЧЕНЫ В СООТВЕТСТВИИ С ПРИМЕНИМЫМ ЗАКОНОДАТЕЛЬСТВОМ.

8. Открытое (свободное) программное обеспечение

8.1	Данный продукт содержит или может содержать программы, которые лицензируются (или сублицензируются) Пользователю в соответствии с общедоступной лицензией GNU или иными аналогичными лицензиями Open Source, которые помимо прочих прав разрешают Пользователю копировать, модифицировать, перераспределять определенные программы или их части и получать доступ к исходному коду (“ПО с открытым исходным кодом”). Если такая лицензия  предусматривает предоставление исходного кода Пользователям, которым предоставляется ПО в формате исполняемого двоичного кода, исходный код делается доступным при осуществлении запроса на адрес source@kaspersky.com или сопровождается с продуктом. Если какая-либо лицензия на ПО с открытым исходным кодом требует, чтобы Правообладатель предоставлял права на использование, копирование или модификацию ПО с открытым исходным кодом, выходящие за рамки прав, предоставляемых настоящим Лицензионным соглашением, такие права имеют преимущественную силу над правами и ограничениями, оговоренными в настоящем Лицензионном соглашении.

9. Права на интеллектуальную собственность

9.1	Вы соглашаетесь с тем, что ПО, документация, как и  все другие объекты авторского права, а также системы, идеи и методы работы, другая информация, которая содержится в ПО, товарные знаки -  являются объектами интеллектуальной собственности Правообладателя или его Партнеров. Данное Лицензионное соглашение не дает Вам никаких прав на использование объектов интеллектуальной собственности, включая товарные знаки и знаки обслуживания Правообладателя или его Партнеров, за исключением переданных Вам прав Правообладателем или его Партнерами
9.2	Вы соглашаетесь с тем, что не будете модифицировать или изменять ПО никаким способом. Запрещается удалять или изменять уведомления об авторских правах или другие проприетарные уведомления на любой копии ПО.

10. Применимое законодательство

10.1 Настоящее Лицензионное соглашение регулируется в соответствии с законодательством Российской Федерации. 

11. Контактная информация Правообладателя

Центральный офис:

ЗАО 'Лаборатория Касперского', 1-й Волоколамский проезд 10 корпус 1
Москва, 123060
Российская Федерация
Тел.: +7 (495) 797-8700
Факс: +7 (495) 645-7939
Адрес электронной почты: info@kaspersky.com
Веб-сайт: www.kaspersky.com

(c) ЗАО 'Лаборатория Касперского', 1997-2011