AC_DEFUN([LINUX_CHECK_EXPORT],
[
	AC_MSG_CHECKING([for $1])

	$2="0";

	if test "${$2}" -eq "0"  -a -f "$MOD_SYMS"; then
	$2=`cat "$MOD_SYMS" | grep " $1\$" | wc | awk {'print $[1]'}`
	fi

#	if test "${$2}" -eq "0" -a -f "$KALLSYMS"; then
#	$2=`grep $1 $KALLSYMS | grep 'T' | wc | awk {'print $[1]'}`
#	fi

#	if test "${$2}" -eq "0" -a -f "${SYSTEM_MAP}"; then
#	$2=`grep $1 ${SYSTEM_MAP} | grep 'T' | wc | awk {'print $[1]'}`
#	fi

	if test ${$2} -eq "0"; then
	AC_MSG_RESULT(["not exported"])
	else
	AC_MSG_RESULT(["exported"])
	fi

])

AC_DEFUN([LINUX_FIND_SYMBOL],
[
	AC_MSG_CHECKING([for $1])

	$2="0"
	
	if test -f "$KALLSYMS"; then
	$2=`grep "T $1" $KALLSYMS | head -n 1 | awk {'print $[1]'}`

	if test -z "${$2}"; then
	$2=`grep "t $1" $KALLSYMS | head -n 1 | awk {'print $[1]'}`
	fi

	if test -z "${$2}"; then
	$2=`grep "R $1" $KALLSYMS | head -n 1 | awk {'print $[1]'}`
	fi

	if test -z "${$2}"; then
	$2=`grep "B $1" $KALLSYMS | head -n 1 | awk {'print $[1]'}`
	fi
	fi

	if test -z "${$2}" -a  -f "$SYSTEM_MAP"; then
	$2=`grep " $1" $SYSTEM_MAP | head -n 1 | awk {'print $[1]'}`
	fi
	
	if test -z "${$2}"; then
	AC_MSG_ERROR(["Cannot resolve symbol $1"])
	fi

	$2="0x${$2}"

	AC_MSG_RESULT([found, address ${$2}])
])

